Create Applicant File (File Upload): Yardi REST
Betahttps://api.propexo.com/v1/applicants/yardi_rest/:applicant_id/file-uploadAttach a file to an Applicant.
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/ImportGuestDocument |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the applicant
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
attachment objectrequired
The file to attach to the Applicant
The Propexo unique identifier for the file type. The file type provided must be listed as being compatible with the Applicants model.
Possible values: <= 66500000 characters
The file extension for the attachment being uploaded
Show 8 enum values
pdfdocdocxxlsxlsxjpgjpegpngA description of the file being uploaded
Determines if the file should be uploaded to the tenant page in Yardi. By default, it will be uploaded to the prospect page. If true, the file type must be associated with the residents data model.
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the applicant
attachment objectrequired
The Propexo unique identifier for the file type. The file type provided must be listed as being compatible with the Applicants model.
Possible values: <= 66500000 characters
The file extension for the attachment being uploaded
Show 8 enum values
pdfdocdocxxlsxlsxjpgjpegpngA description of the file being uploaded
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/applicants/yardi_rest/:applicant_id/file-upload \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"attachment": {
"file_type_id": "string",
"file_data": "string",
"file_extension": "pdf",
"description": "string",
"should_upload_to_tenant": true
}
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"applicant_id": "string",
"attachment": {
"file_type_id": "string",
"file_data": "string",
"file_extension": "pdf",
"description": "string",
"should_upload_to_tenant": true
}
}
}